### org.jfree.layouting.layouter.content.computed

# Class ComputedToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.computed.ComputedToken`

Implemented Interfaces:
  ContentToken

Known Direct Subclasses:
  CloseQuoteToken, ContentsToken, CountersToken, CounterToken, ElementsToken, OpenQuoteToken, PendingToken, VariableToken

`public abstract class ComputedToken`
`extends java.lang.Object`
`implements ContentToken`

A computed token is a placeholder for content that *must* be resolved during the layouting phase. Usually, this deals with compound counters (which need to be split into resolved single counters).

Author:
  Thomas Morgner

  ## Constructor Summary

  `ComputedToken()`

## Constructor Details

### ComputedToken

    protected ComputedToken()